## utfcpp 3.2.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0.2)
project (utf8cpp VERSION 3.2.2 LANGUAGES CXX)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
    set(IS_ROOT_PROJECT ON)
else()
    set(IS_ROOT_PROJECT OFF)
endif()

option(UTF8_TESTS "Enable tests for UTF8-CPP" ${IS_ROOT_PROJECT})
option(UTF8_INSTALL "Enable installation for UTF8-CPP" ${IS_ROOT_PROJECT})
option(UTF8_SAMPLES "Enable building samples for UTF8-CPP" ${IS_ROOT_PROJECT})

add_library(utf8cpp INTERFACE)
target_include_directories(utf8cpp INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/source>"
    $<INSTALL_INTERFACE:include/utf8cpp>
)
add_library(utf8::cpp ALIAS utf8cpp)

if(UTF8_INSTALL)
    if(MSVC)
        set(DEF_INSTALL_CMAKE_DIR CMake)
    else()
        include(GNUInstallDirs) # define CMAKE_INSTALL_*
        set(DEF_INSTALL_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/utf8cpp)
    endif()

    install(DIRECTORY source/ DESTINATION include/utf8cpp)
    install(TARGETS utf8cpp EXPORT utf8cppConfig)
    install(EXPORT utf8cppConfig DESTINATION ${DEF_INSTALL_CMAKE_DIR})
    export(EXPORT utf8cppConfig)
endif()

if(UTF8_SAMPLES)
    add_executable(docsample ${PROJECT_SOURCE_DIR}/samples/docsample.cpp)
    target_link_libraries(docsample PRIVATE utf8::cpp)
endif()

if(UTF8_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
add_executable(negative ${PROJECT_SOURCE_DIR}/tests/negative.cpp)
add_executable(cpp11 ${PROJECT_SOURCE_DIR}/tests/test_cpp11.cpp)
add_executable(cpp17 ${PROJECT_SOURCE_DIR}/tests/test_cpp17.cpp)
add_executable(apitests
    ${PROJECT_SOURCE_DIR}/tests/test_checked_api.cpp
    ${PROJECT_SOURCE_DIR}/tests/test_unchecked_api.cpp
    ${PROJECT_SOURCE_DIR}/tests/test_checked_iterator.cpp
    ${PROJECT_SOURCE_DIR}/tests/test_unchecked_iterator.cpp
)

add_executable(noexceptionstests
    ${PROJECT_SOURCE_DIR}/tests/test_unchecked_api.cpp
    ${PROJECT_SOURCE_DIR}/tests/test_unchecked_iterator.cpp
)

target_link_libraries(negative PRIVATE utf8::cpp)
target_link_libraries(cpp11 PRIVATE utf8::cpp)
target_link_libraries(cpp17 PRIVATE utf8::cpp)
target_link_libraries(apitests PRIVATE utf8::cpp)
target_link_libraries(noexceptionstests PRIVATE utf8::cpp)

target_compile_options(${PROJECT_NAME} INTERFACE
  $<$<CXX_COMPILER_ID:MSVC>:/W4>
  $<$<NOT:$<CXX_COMPILER_ID:MSVC>>:-Wall -Wextra -Wpedantic>)

target_compile_options(noexceptionstests PUBLIC -fno-exceptions)

set_target_properties(negative apitests noexceptionstests
                      PROPERTIES
                      CXX_STANDARD 98
                      CXX_STANDARD_REQUIRED YES
                      CXX_EXTENSIONS NO)

set_target_properties(cpp11
                      PROPERTIES
                      CXX_STANDARD 11
                      CXX_STANDARD_REQUIRED YES
                      CXX_EXTENSIONS NO)

set_target_properties(cpp17
                      PROPERTIES
                      CXX_STANDARD 17
                      CXX_STANDARD_REQUIRED YES
                      CXX_EXTENSIONS NO)

add_test(negative_test negative ${PROJECT_SOURCE_DIR}/tests/test_data/utf8_invalid.txt)
add_test(cpp11_test cpp11)
add_test(cpp17_test cpp17)
add_test(api_test apitests)
add_test(noexceptions_test noexceptionstests)

## utfcpp 2.3.4

=== debian/changelog ===
utfcpp (2.3.4-1) unstable; urgency=low

  * New upstream

 -- Mathieu Malaterre <malat@debian.org>  Tue, 09 Apr 2013 18:20:31 +0200

utfcpp (2.3.2-1) unstable; urgency=low

  * Initial Debian Upload (Closes: #552618)

 -- Mathieu Malaterre <malat@debian.org>  Sat, 26 Jan 2013 19:13:19 +0100

=== debian/control ===
Source: utfcpp
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 9)
Maintainer: Mathieu Malaterre <malat@debian.org>
Standards-Version: 3.9.4
Homepage: http://utfcpp.sf.net
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/utfcpp/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/utfcpp/trunk/

Package: libutfcpp-dev
Architecture: any
Depends: ${misc:Depends}
Description: UTF8-CPP: UTF-8 with C++ - dev
 Simple, portable and lightweight generic library for handling UTF-8 encoded
 strings
 .
 Features
  - Iterating through UTF-8 encoded strings
  - Converting between UTF-8 and UTF-16/UTF-32
  - Detecting invalid UTF-8 sequences

Package: libutfcpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: UTF8-CPP: UTF-8 with C++ - dev
 Simple, portable and lightweight generic library for handling UTF-8 encoded
 strings
 .
 Features
  - Iterating through UTF-8 encoded strings
  - Converting between UTF-8 and UTF-16/UTF-32
  - Detecting invalid UTF-8 sequences

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

pkg_dev=libutfcpp-dev
pkg_doc=libutfcpp-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_doc) doc/utf8cpp.html
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs doc/ReleaseNotes

override_dh_install:
	dh_install -p$(pkg_dev) source/* usr/include

get-orig-source:
	uscan --download --force-download --rename --repack

=== debian/watch ===
version=3
http://sf.net/utfcpp/utf8_v([\d])_([\d])_([\d])\.zip

## utfcpp 3.2.1

=== debian/changelog ===
utfcpp (3.2.1-2) unstable; urgency=medium

  * Reintroduce libutfcpp-doc:all package for compatibility.
  * Let libutfcpp-doc package provide README.md documentation.
  * Also install upstream-provided examples into libutfcpp-doc.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 07:57:10 -0400

utfcpp (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Update homepage field.
    + Mark binary package as Multi-Arch: same.
    - Drop libutfcpp-doc package, upstream is merging the doc into README.
  * debian/upstream/metadata: Added.
  * debian/watch: Update to v4; monitor new GitHub upstream.
  * debian/rules: Modernize packaging.
  * debian/copyright: Refresh information.
  * debian/libutfcpp-dev.maintscript, debian/libutfcpp-dev.links: Add
    compat symlink to avoid breaking build-dependencies after upstream
    moved header file paths.

 -- Boyuan Yang <byang@debian.org>  Mon, 04 Oct 2021 23:21:57 -0400

utfcpp (2.3.4-2) unstable; urgency=medium

  * Take over package maintenance through ITS process. (Closes: #995661)

 -- Boyuan Yang <byang@debian.org>  Mon, 04 Oct 2021 07:20:22 -0400

utfcpp (2.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild the package.
  * debian/control: Update Vcs-* fields to use git packaging repo
    under Salsa Debian Group. (Closes: #966202)

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Sep 2020 19:42:08 -0400

=== debian/control ===
Source: utfcpp
Section: libdevel
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Maintainer: Boyuan Yang <byang@debian.org>
Standards-Version: 4.6.0
Homepage: https://github.com/nemtrif/utfcpp
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/utfcpp.git
Vcs-Browser: https://salsa.debian.org/debian/utfcpp

Package: libutfcpp-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Description: UTF8-CPP: UTF-8 with C++ - dev
 Simple, portable and lightweight generic library for handling UTF-8 encoded
 strings.
 .
 Features:
  - Iterating through UTF-8 encoded strings
  - Converting between UTF-8 and UTF-16/UTF-32
  - Detecting invalid UTF-8 sequences
 .
 This package provides library development files.

Package: libutfcpp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: UTF8-CPP: UTF-8 with C++ - documentation
 Simple, portable and lightweight generic library for handling UTF-8 encoded
 strings.
 .
 Features:
  - Iterating through UTF-8 encoded strings
  - Converting between UTF-8 and UTF-16/UTF-32
  - Detecting invalid UTF-8 sequences
 .
 This package provides library documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DUTF8_TESTS=OFF

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@utfcpp@-$1.tar.gz%" \
 https://github.com/nemtrif/utfcpp/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## utfcpp 3.2.2

=== debian/changelog ===
utfcpp (3.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Nov 2022 15:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: utfcpp
 Section: libdevel
 Priority: optional
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
-Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/nemtrif/utfcpp
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/utfcpp.git
 Vcs-Browser: https://salsa.debian.org/debian/utfcpp
+Rules-Requires-Root: no
 
 Package: libutfcpp-dev
 Architecture: any

## utfcpp 3.2.3

=== debian/changelog ===
utfcpp (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Jan 2023 21:28:27 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nemtrif/utfcpp
 Vcs-Git: https://salsa.debian.org/debian/utfcpp.git
 Vcs-Browser: https://salsa.debian.org/debian/utfcpp

## utfcpp 3.2.4

=== debian/changelog ===
utfcpp (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Aug 2023 17:41:11 -0400

## utfcpp 3.2.5

=== debian/changelog ===
utfcpp (3.2.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Mark binary packages as arch:all and M-A: foreign
    since architecture-independent build is supported in this project
    since CMake 3.14. (LP: #1932094)
  * debian/rules: Do not explicitly disable tests anymore.
  * debian/patches/0001-Add-back-vendor-ftest-test-framework.patch:
    Add back upstream-vendored ftest test framework (as git submodule)
    as a patch to allow post-build testing.
  * debian/patches/:
    + 0002-Install-CMake-files-to-arch-indep-location-when-ARCH.patch:
      Correctly install CMake files to arch-indep location when
      CMake files are architecture-independent.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Sep 2023 14:57:50 -0400

## utfcpp 3.2.5%2Breally3.2.4

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	        -DUTF8_TESTS=OFF
+	        $(NULL)

## utfcpp 3.2.5+really3.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required (VERSION 3.0.2)
-project (utf8cpp VERSION 3.2.2 LANGUAGES CXX)
+cmake_minimum_required (VERSION 3.0.2...3.27)
+project (utf8cpp VERSION 3.2.4 LANGUAGES CXX)
 
 if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
     set(IS_ROOT_PROJECT ON)
@@ -19,6 +19,7 @@
 add_library(utf8::cpp ALIAS utf8cpp)
 
 if(UTF8_INSTALL)
+    include(CMakePackageConfigHelpers)
     if(MSVC)
         set(DEF_INSTALL_CMAKE_DIR CMake)
     else()
@@ -26,10 +27,33 @@
         set(DEF_INSTALL_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/utf8cpp)
     endif()
 
+    if(${CMAKE_VERSION} VERSION_GREATER "3.14")
+        set(OPTIONAL_ARCH_INDEPENDENT "ARCH_INDEPENDENT")
+    endif()
+    
+    write_basic_package_version_file(
+        ${CMAKE_CURRENT_BINARY_DIR}/utf8cppConfigVersion.cmake
+        VERSION ${PROJECT_VERSION}
+        COMPATIBILITY SameMajorVersion
+        ${OPTIONAL_ARCH_INDEPENDENT}
+    )
+
+    configure_package_config_file(
+        ${PROJECT_SOURCE_DIR}/utf8cppConfig.cmake.in
+        ${CMAKE_CURRENT_BINARY_DIR}/utf8cppConfig.cmake
+        INSTALL_DESTINATION ${DEF_INSTALL_CMAKE_DIR}
+    )
+
     install(DIRECTORY source/ DESTINATION include/utf8cpp)
-    install(TARGETS utf8cpp EXPORT utf8cppConfig)
-    install(EXPORT utf8cppConfig DESTINATION ${DEF_INSTALL_CMAKE_DIR})
-    export(EXPORT utf8cppConfig)
+    install(TARGETS utf8cpp EXPORT utf8cppTargets)
+    install(EXPORT utf8cppTargets DESTINATION ${DEF_INSTALL_CMAKE_DIR})
+    install(
+        FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/utf8cppConfig.cmake
+        ${CMAKE_CURRENT_BINARY_DIR}/utf8cppConfigVersion.cmake
+        DESTINATION
+        ${DEF_INSTALL_CMAKE_DIR}
+    )
 endif()
 
 if(UTF8_SAMPLES)

=== debian/changelog ===
utfcpp (3.2.5+really3.2.4-1) unstable; urgency=high

  * Revert to 3.2.4 release to avoid a major regression in unchecked
    functions. Do not upload the 4.0.x series for now due to breaking
    changes. (See #1057732)
  * Keep all packaging changes in 3.2.5-1 upload.
  * debian/watch: Update monitoring script.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Dec 2023 08:28:21 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- cmake,
+ cmake (>= 3.14),
  debhelper-compat (= 13),
 Standards-Version: 4.6.2
 Homepage: https://github.com/nemtrif/utfcpp
@@ -12,8 +12,8 @@
 Rules-Requires-Root: no
 
 Package: libutfcpp-dev
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:

## utfcpp 4.0.5

=== CMakeLists.txt ===
# This file is deprecated and will be removed in a future release
# Please see the instructions for installation in README.md file

cmake_minimum_required (VERSION 3.14...3.27)
project (utf8cpp 
         VERSION 4.0.4
         LANGUAGES CXX
         DESCRIPTION "C++ portable library for working with utf-8 encoding")

add_library(${PROJECT_NAME} INTERFACE)

include(GNUInstallDirs)

target_include_directories(utf8cpp INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/source>"
    $<INSTALL_INTERFACE:include/utf8cpp>
)

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
    ARCH_INDEPENDENT
)

install(TARGETS ${PROJECT_NAME}
    EXPORT ${PROJECT_NAME}Targets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION include COMPONENT Development
    BUNDLE DESTINATION bin COMPONENT Runtime
)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/${PROJECT_NAME}Config.cmake.in"
    "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
    INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake
)

install(EXPORT ${PROJECT_NAME}Targets
        FILE ${PROJECT_NAME}Targets.cmake
        NAMESPACE ${PROJECT_NAME}::
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake)

install(FILES "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
              "${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake)

install(FILES ${PROJECT_SOURCE_DIR}/source/utf8.h DESTINATION include/utf8cpp)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/source/utf8 DESTINATION
        include/utf8cpp)

=== debian/changelog ===
utfcpp (4.0.5-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Sat, 08 Nov 2025 21:53:36 -0300

utfcpp (4.0.5-2) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Pedro Hannemann <pedrohannemann@gmail.com>  Mon, 02 Jun 2025 14:46:33 -0300

utfcpp (4.0.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 4.0.5
  * d/p/0002-Recover-CMake-ARCH_INDEPENDENT...: drop merged patch

 -- João Vítor Motta Souto Maior <soutomaior950@gmail.com>  Thu, 15 Aug 2024 19:34:47 -0300

utfcpp (4.0.3-1~exp2) experimental; urgency=medium

  * QA upload.
  * Orphan the package. (See #1065736)

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 10:25:34 -0500

utfcpp (4.0.3-1~exp1) experimental; urgency=medium

  * New upstream 4.0.x series release. (Closes: #1057732)
  * debian/libutfcpp-doc.examples: Dropped, no longer exist.
  * debian/rules: Rewrite to use upstream testsuite.
  * debian/clean: Also clean our generated test directory.
  * debian/patches:
    + 0002-Recover-CMake-ARCH_INDEPENDENT-usage-from-dbb2423248.patch:
      Add proposed patch to fix architecture-independent support.
      The old 0002 patch is dropped.
    + 0003-CMakeLists.txt-Prefer-usr-share-cmake-for-cmake-file.patch:
      Prefer using /usr/share/cmake/utf8cpp/ instead of
      /usr/share/utf8cpp/cmake/.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Dec 2023 21:12:10 -0500

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,16 @@
 export DEB_LDFLAGS_MAINT_APPEND =
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	        $(NULL)
+	dh_auto_configure
+	dh_auto_configure -Dtests -Btest_bin --
+
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_build -Dtests -Btest_bin --
+
+override_dh_auto_test:
+	dh_auto_test
+	dh_auto_test -Dtests -Btest_bin --

=== debian/tests/control ===
Tests: run_sample
Depends: @, g++

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/nemtrif/utfcpp/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## utfcpp 4.0.8

=== debian/changelog ===
utfcpp (4.0.8-1) unstable; urgency=medium

  * New upstream version 4.0.8.
  * Adopt package (Closes:#1065736).
  * debian/copyright: add myself to debian/* copyright.
  * debian/patches/0003-*: add Forwarded: not-needed.
  * debian/tests: rename run_sample to run-sample to fix lintian warning.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Update d/watch file format to version 5.
  * Added d/gbp.conf

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Tue, 11 Nov 2025 02:46:29 +0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: utfcpp
 Section: libdevel
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>
 Build-Depends:
  cmake (>= 3.14),
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/nemtrif/utfcpp
 Vcs-Git: https://salsa.debian.org/debian/utfcpp.git
 Vcs-Browser: https://salsa.debian.org/debian/utfcpp

=== debian/tests/control ===
Tests: run-sample
Depends: @, g++

=== debian/watch ===
Version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: nemtrif
Project: utfcpp

## utfcpp 4.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,6 @@
-# This file is deprecated and will be removed in a future release
-# Please see the instructions for installation in README.md file
-
 cmake_minimum_required (VERSION 3.14...3.27)
 project (utf8cpp 
-         VERSION 4.0.4
+         VERSION 4.0.9
          LANGUAGES CXX
          DESCRIPTION "C++ portable library for working with utf-8 encoding")
 
@@ -51,3 +48,9 @@
 install(FILES ${PROJECT_SOURCE_DIR}/source/utf8.h DESTINATION include/utf8cpp)
 install(DIRECTORY ${PROJECT_SOURCE_DIR}/source/utf8 DESTINATION
         include/utf8cpp)
+
+option(UTF8CPP_ENABLE_TESTS "Build and enable tests" OFF)
+if(UTF8CPP_ENABLE_TESTS)
+    enable_testing()
+    add_subdirectory(tests)
+endif()

=== debian/changelog ===
utfcpp (4.0.9-1) unstable; urgency=medium

  * New upstream version 4.0.9.
  * Update debian copyright in d/copyright.
  * Bump Standards-Version to 4.7.3 (no changes needed).

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Tue, 10 Feb 2026 16:00:29 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  cmake (>= 3.14),
  debhelper-compat (= 13),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nemtrif/utfcpp
 Vcs-Git: https://salsa.debian.org/debian/utfcpp.git
 Vcs-Browser: https://salsa.debian.org/debian/utfcpp
